#!/bin/bash
#
# Uninstall script for SelekTOR, needs to be run as root
destfolder="/opt/selektor"
do_error() {
	echo
	echo "***************************************"
	echo "SelekTOR uninstall failed due to errors"
	echo "***************************************"
	exit
}

set -e
trap do_error ERR
if [ $EUID -eq 0 ]
then
	rm "$destfolder" -rf
 	rm /usr/bin/selektor -f
	rm /usr/share/applications/selektor.desktop -f
	rm /usr/share/applications/selektor-proxy-reset.desktop -f
	rm /etc/xdg/autostart/selektor-autostart.desktop -f
	rm /usr/share/man/man1/selektor.1* -f
	echo
	echo "******************************"
	echo "SelekTOR has been uninstalled."
	echo "******************************"
else
	echo
	echo "*****************************************************"
	echo "SelekTOR uninstall failed, root permissions required."
	echo "*****************************************************"
fi

